Get stablecoin timeseries data
curl --request GET \
--url https://api.messari.io/metrics/v2/stablecoins/{entityIdentifier}/metrics/{datasetSlug}/time-series \
--header 'X-Messari-API-Key: <api-key>'import requests
url = "https://api.messari.io/metrics/v2/stablecoins/{entityIdentifier}/metrics/{datasetSlug}/time-series"
headers = {"X-Messari-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Messari-API-Key': '<api-key>'}};
fetch('https://api.messari.io/metrics/v2/stablecoins/{entityIdentifier}/metrics/{datasetSlug}/time-series', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"data": {
"points": [
[
1674864000,
68500978293.758316,
null,
null
],
[
1674950400,
68512350446.7849,
null,
null
],
[
1675036800,
68490420842.94022,
null,
null
],
[
1675123200,
68473605079.801216,
null,
null
],
[
1675209600,
68493868332.42586,
null,
null
]
]
},
"metadata": {
"pointSchemas": [
{
"name": "Timestamp",
"slug": "time",
"description": "Timestamp of the data point.",
"is_timestamp": true
},
{
"name": "Outstanding Supply USD",
"slug": "outstandingSupplyUsd",
"description": "The total outstanding supply in USD for this stablecoin on a given interval.",
"is_timestamp": false
},
{
"name": "Mints 24 Hour USD",
"slug": "mints24HourUsd",
"description": "The total value of new stablecoins minted in USD.",
"is_timestamp": false
},
{
"name": "Burns 24 Hour USD",
"slug": "stablecoin-redemptions-usd",
"description": "The total value of stablecoins redeemed in USD.",
"is_timestamp": false
}
],
"granularity": "1d"
}
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}Stablecoins
Stablecoin Timeseries Metric
Retrieve a specific stablecoin’s timeseries data
GET
/
metrics
/
v2
/
stablecoins
/
{entityIdentifier}
/
metrics
/
{datasetSlug}
/
time-series
Get stablecoin timeseries data
x402 Support: Supported.
See the x402 guide.
Authorizations
Path Parameters
Entity ID or slug
Example:
"tether"
Dataset slug
Available options:
network-breakdown, supply, transfers Example:
"supply"
Query Parameters
Time range start
Example:
"2025-06-01T00:00:00Z"
Time range end
Example:
"2025-06-07T00:00:00Z"
⌘I

